Categories:
  - System
License: GPL-3.0-or-later
AuthorName: Jens Schröder
AuthorEmail: android-development@gmx.de
WebSite: https://server47.de/automation/
SourceCode: https://git.server47.de/jens/Automation
Donate: https://server47.de/donate/
Liberapay: IcaStiON
Bitcoin: bc1qf9hqymh0qeunvkj95jrl9vtagjsmxuc7c7dle5

AutoName: Automation

RepoType: git
Repo: https://git.server47.de/jens/Automation.git

Builds:
  - versionName: 1.6.21
    versionCode: 96
    commit: v1.6.21
    subdir: app
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.6.22
    versionCode: 98
    commit: v1.6.23
    subdir: app
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.6.32
    versionCode: 103
    commit: v1.6.32
    subdir: app
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.6.33
    versionCode: 104
    commit: v1.6.33
    subdir: app
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.6.34
    versionCode: 105
    commit: v1.6.34
    subdir: app
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.6.38
    versionCode: 108
    commit: 6593f6c9238d56bb8138eb8252f61f6783c5b62c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.6.40
    versionCode: 110
    commit: 913a37a320b84bc8d130cc1a6d8808f6f8230d59
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.6.41
    versionCode: 111
    commit: 5a7cbfcdc9798cfe7ad04fe0880180d785ffe357
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.6.42
    versionCode: 112
    commit: cb430b957f6ef7e98d35bff9fce9ed1775f6403c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.6.43
    versionCode: 113
    commit: 074f75ed2026b469c3462e0e08151bce5866305c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: '1.7'
    versionCode: 114
    commit: 41cf907be3b49dde34c234d5594645e8289cf55f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.7.1
    versionCode: 115
    commit: 0463e0aa19cc388bf1bdc2ffc7cabeaa7c6cc922
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.7.2
    versionCode: 116
    commit: 2a067507aee62418e416f030c2b5ba5d6a3ced5b
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.7.3
    versionCode: 117
    commit: f3c4a0fd915c82259564b2842e8c4b8fa02d7dee
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.7.4
    versionCode: 118
    commit: 0368b2a8c8087dc367630d8a3f7963b47b39c384
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.7.5
    versionCode: 119
    commit: 7046cccabec644b862b1c5a5be376e5973671d3b
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.7.6
    versionCode: 121
    commit: f1f3be56cbc9ea8427503ab0b05e63493b6a70c5
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.7.7
    versionCode: 122
    commit: 475c1719d7dd389a261981b108e57189e44bc0c5
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.7.9
    versionCode: 124
    commit: ab98b4d1db0722f02f8874ca826e34bbbb3ea097
    subdir: app
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.7.10
    versionCode: 125
    commit: 6f80caa1c69893e9c693d2dcb4f3518a12c463a1
    subdir: app
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.7.11
    versionCode: 126
    commit: 27e9b3e0d1162fd2f05fd245a34621fd3b0099d0
    subdir: app
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.7.12
    versionCode: 127
    commit: b6015a3f2ef02fd6325cf5a3e2f0ae936c69af90
    subdir: app
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.7.14
    versionCode: 130
    commit: 394effea36e3fd1215aaade061284ff1bd98bebf
    subdir: app
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

  - versionName: 1.7.15
    versionCode: 131
    commit: eba02ade08caa0f1d62b11b861b7a918ccbb1cf3
    subdir: app
    gradle:
      - fdroidFlavor
    prebuild:
      - sed -i -e '/firebase/d' build.gradle
      - sed -i -e '/play-services-location/d' build.gradle

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
CurrentVersion: 1.7.15
CurrentVersionCode: 131
